/* tslint:disable */
/* eslint-disable */
/**
*/
export function greet(): void;
/**
*/
export class Magnet {
  free(): void;
/**
* @param {Vec2D} pos
* @param {number} strength
* @returns {Magnet}
*/
  static new(pos: Vec2D, strength: number): Magnet;
}
/**
*/
export class Pendulum {
  free(): void;
/**
* @param {Vec2D} pos
* @param {number} k
* @param {number} friction
* @returns {Pendulum}
*/
  static new(pos: Vec2D, k: number, friction: number): Pendulum;
/**
* @returns {Vec2D}
*/
  pos(): Vec2D;
}
/**
*/
export class Universe {
  free(): void;
/**
* @param {number} width
* @param {number} height
* @param {number} max_iters
* @returns {Universe}
*/
  static new(width: number, height: number, max_iters: number): Universe;
/**
* @param {Magnet} magnet
*/
  add_magnet(magnet: Magnet): void;
/**
*/
  clear_magnets(): void;
/**
* @param {Pendulum} pendulum
*/
  add_pendulum(pendulum: Pendulum): void;
/**
*/
  clear_pendulums(): void;
/**
*/
  tick(): void;
}
/**
*/
export class Vec2D {
  free(): void;
/**
* @param {number} x
* @param {number} y
* @returns {Vec2D}
*/
  static new(x: number, y: number): Vec2D;
/**
* @returns {Vec2D}
*/
  static zero(): Vec2D;
/**
*/
  x: number;
/**
*/
  y: number;
}
